Settled Transactions in Batch
curl --request GET \
--url https://sandbox.api.paylias.xyz/gateway/api/v1/csp/settlements/{batch_id}/transactions \
--header 'Authorization: Bearer <token>' \
--header 'x-org-id: <x-org-id>' \
--header 'x-partner-id: <x-partner-id>'import requests
url = "https://sandbox.api.paylias.xyz/gateway/api/v1/csp/settlements/{batch_id}/transactions"
headers = {
"x-org-id": "<x-org-id>",
"x-partner-id": "<x-partner-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-org-id': '<x-org-id>',
'x-partner-id': '<x-partner-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://sandbox.api.paylias.xyz/gateway/api/v1/csp/settlements/{batch_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"total": 2,
"transactions": [
{
"token": "txn_123456789",
"payment_id": "pay_123456789",
"status": 1,
"initiated_on": "2023-08-12T08:55:04Z",
"created_on": "2023-08-12T08:55:04Z"
},
{
"token": "txn_987654321",
"payment_id": "pay_987654321",
"status": 1,
"initiated_on": "2023-08-12T09:10:00Z",
"created_on": "2023-08-12T09:10:05Z"
}
]
}
}{
"code": "error.bad_request",
"message": "Invalid request parameters"
}{
"code": "error.unauthorized",
"message": "Authentication required"
}{
"code": "error.not_found",
"message": "Requested resource not found"
}Settlements
Settled Transactions in Batch
List settled transactions for a settlement batch
GET
/
api
/
v1
/
csp
/
settlements
/
{batch_id}
/
transactions
Settled Transactions in Batch
Authorizations
bearerAuthapiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Organization ID header used for authorization
The Partner ID header used for authorization
Path Parameters
The unique identifier for the settlement batch
Example:
"batch_123456789"
Query Parameters
Optional transaction identifier filter
Results page number (minimum 1)
Required range:
x >= 1Page size (maximum 100)
Required range:
1 <= x <= 100Was this page helpful?
⌘I